All of lore.kernel.org
 help / color / mirror / Atom feed
From: adas@sourceware.org <adas@sourceware.org>
To: cluster-devel.redhat.com
Subject: [Cluster-devel] cluster/cman/init.d cman
Date: 8 Dec 2006 22:01:16 -0000	[thread overview]
Message-ID: <20061208220116.19811.qmail@sourceware.org> (raw)

CVSROOT:	/cvs/cluster
Module name:	cluster
Branch: 	RHEL5
Changes by:	adas at sourceware.org	2006-12-08 22:01:16

Modified files:
	cman/init.d    : cman 

Log message:
	don't fail if unmounting configfs fails

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/cman/init.d/cman.diff?cvsroot=cluster&only_with_tag=RHEL5&r1=1.26.2.2&r2=1.26.2.3

--- cluster/cman/init.d/cman	2006/11/15 16:54:51	1.26.2.2
+++ cluster/cman/init.d/cman	2006/12/08 22:01:16	1.26.2.3
@@ -241,7 +241,10 @@
     if [ $? -eq 0 ]
     then
 	errmsg=$( /bin/umount /sys/kernel/config 2>&1 )
-	return $?
+	if [ $? -ne 0 ]
+	then
+	    echo -n $errmsg " "
+	fi
     fi
     return 0
 }



             reply	other threads:[~2006-12-08 22:01 UTC|newest]

Thread overview: 23+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2006-12-08 22:01 adas [this message]
  -- strict thread matches above, loose matches on Subject: below --
2008-01-18 16:47 [Cluster-devel] cluster/cman/init.d cman adas
2007-12-11 14:04 pcaulfield
2007-12-11 11:22 pcaulfield
2007-07-17 16:10 rmccabe
2007-07-12 19:50 rmccabe
2007-05-10 21:45 rmccabe
2007-05-10 14:45 rmccabe
2007-05-10 14:36 rmccabe
2007-04-27 22:08 cfeist
2007-04-27 15:07 rmccabe
2006-12-08 22:01 adas
2006-11-15 16:55 lhh
2006-11-15 16:55 lhh
2006-11-15 16:54 lhh
2006-10-30 13:20 pcaulfield
2006-10-18 21:48 rpeterso
2006-10-04 20:32 rpeterso
2006-08-31 18:00 rohara
2006-08-25 22:04 adas
2006-07-21 21:02 rpeterso
2006-07-20 20:19 rpeterso
2006-06-28 20:57 adas

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20061208220116.19811.qmail@sourceware.org \
    --to=adas@sourceware.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.